/******************************************************************************
* C Include: File Names                                                       *
*                                                                             *
* File:                                                                       *
*    filenams.h                                                               *
*                                                                             *
* Description:                                                                *
*    Include file for functions used to determine attributes of filenames on  *
*    on CD-ROM, and to create file names.                                     *
*                                                                             *
* History:                                                                    *
*    Created    : 15-NOV-93 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __FILENAMS__
#define __FILENAMS__

#include "generic.h"

/**********************************
* File Name functions' prototypes *
**********************************/
STRING  Build_Full_File_Name     (/* STRING Directory    ,
				     STRING Sub_Directory,
				     STRING File          */);

STRING  Build_Full_VMS_File_Name (/* STRING Directory    ,
				     STRING Sub_Directory,
				     STRING File          */);

STRING  Build_Full_UNIX_File_Name(/* STRING Directory    ,
				     STRING Sub_Directory,
				     STRING File          */);

BOOL    CopyRight_File_Exists    (/* STRING Directory     */);

BOOL    FileNames_in_LowerCase   (/* STRING Directory     */);

BOOL    FileNames_in_UpperCase   (/* STRING Directory     */);

BOOL    FileNames_have_Version   (/* STRING Directory     */);

BOOL    FileNames_Trailing_Period(/* STRING Directory     */);

BOOL    Set_FileNames_Case       (/* STRING Directory,
				     STRING FileName      */);

STRING  Set_FileNames_Version    (/* STRING Directory,
				     STRING FileName      */);

#endif
